manifestVersion: "0.0.1"
id: gitlab
name: GitLab
tagline: Программное обеспечение. Быстрее.
category: developer
version: "18.10.1-1"
port: 8929
description: >-
  ⚠️ Это приложение потребляет много оперативной памяти (рекомендуется +6 ГБ), и его запуск может занять 15–20 минут после установки на устройствах с низким энергопотреблением.
  
  
  🔐 После установки приложения вы можете создать новую учетную запись пользователя через веб-интерфейс или подключиться через SSH/Terminal и изменить пароль root, выполнив команду `gitlab-rake "gitlab:password:reset[root]"`.
  
  
  GitLab — это комплексный веб-инструмент жизненного цикла DevOps, который обеспечивает надежную платформу для управления проектами и репозиториями. Он предлагает широкий спектр функций, которые охватывают весь жизненный цикл разработки программного обеспечения, включая контроль версий, CI/CD, проверку кода, отслеживание проблем и многое другое. Все операции выполняются в безопасной среде совместной работы, гарантируя безопасность и доступность вашего кода и данных.
  
  
  📁 Управление репозиторием
  
  GitLab предоставляет полнофункциональный графический интерфейс для создания, управления и организации репозиториев. Вы можете с легкостью клонировать, разветвлять и просматривать репозитории. Также доступны расширенные функции, такие как управление ветвями, тегирование и слияние, обеспечивающие эффективный контроль версий и совместную работу.
  
  
  🔄️ Непрерывная интеграция/непрерывное развертывание (CI/CD)
  
  Автоматизируйте процесс разработки программного обеспечения с помощью мощных конвейеров CI/CD GitLab. Легко настраивайте сборки, тесты и развертывания, чтобы оптимизировать рабочий процесс. GitLab CI/CD поддерживает несколько языков и платформ, обеспечивая совместимость с вашими существующими инструментами и процессами.
  
  
  🛡️ Безопасность и соответствие требованиям
  
  Обеспечьте безопасность и соответствие своих проектов с помощью встроенных функций безопасности GitLab. Выполняйте статическое и динамическое тестирование безопасности приложений (SAST/DAST), сканирование зависимостей, сканирование контейнеров и многое другое. GitLab также предлагает журналы аудита, управление соответствием и проверки качества кода для поддержания высоких стандартов.
  
  
  👥 Сотрудничество и проверка кода
  
  Улучшите сотрудничество в команде с помощью интегрированных инструментов GitLab для проверки кода и обсуждения. Проводите экспертные оценки, оставляйте комментарии и предлагайте изменения непосредственно на платформе. Система мерж-реквестов GitLab упрощает процесс проверки кода, позволяя легко предлагать, обсуждать и утверждать изменения.
  
  
  📈 Управление проектами
  
  Эффективно управляйте своими проектами с помощью функций управления проектами GitLab. Отслеживайте проблемы, планируйте спринты и визуализируйте прогресс с помощью досок, контрольных точек и диаграмм сгорания. GitLab также интегрируется с популярными инструментами управления проектами, обеспечивая плавную синхронизацию задач и обновлений.
  
  
  🛠️ Другие особенности:
  
  Используйте обширный набор инструментов GitLab для оптимизации процесса разработки. Используйте интегрированную вики для документации, управляйте пакетами с помощью встроенного реестра пакетов GitLab, отслеживайте производительность с помощью интеграции Prometheus и Grafana и развертывайте приложения с поддержкой Kubernetes. GitLab также предлагает надежные API для расширения функциональности и интеграции с другими сервисами.
  
  
  GitLab — это ваша универсальная платформа DevOps, позволяющая вашей команде легко и эффективно создавать, развертывать проекты и управлять ими.
developer: GitLab
website: https://about.gitlab.com
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://gitlab.com/gitlab-org/omnibus-gitlab/tree/master/docker
support: https://gitlab.com/gitlab-org/omnibus-gitlab/-/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
releaseNotes: >-
  Этот выпуск GitLab содержит множество новых функций и улучшений.
  
  
  GitLab интерфейс может не отвечать на запросы в течение нескольких минут после обновления, что совершенно нормально.
  
  
  Ключевые улучшения в этом выпуске:
    - Обнаружение ложных срабатываний SAST с помощью агентской платформы GitLab Duo теперь общедоступно.
    - Вход без пароля с использованием паролей с использованием биометрических данных или PIN-кода устройства.
    - Новый список рабочих элементов, объединяющий эпики, проблемы и другие рабочие элементы в одном унифицированном представлении с поддержкой сохраненных представлений.
    - Секретное обнаружение ложных срабатываний на базе ИИ для снижения усталости от оповещений (бета-версия)
    — Обеспечьте соблюдение соглашений об именах заголовков мерж-реквеста с использованием шаблонов регулярных выражений.
    - Пользовательские агенты теперь могут подключаться к внешним источникам данных через протокол контекста модели (MCP).
    - Входные данные уровня задания CI/CD с безопасностью типов, значениями по умолчанию и поддержкой проверки.
  
  
  Полные примечания к выпуску доступны по адресу: https://about.gitlab.com/releases/2026/03/19/gitlab-18-10-released/.
dependencies: []
path: ""
deterministicPassword: true
defaultUsername: "root"
